%global _empty_manifest_terminate_build 0
Name:           perl-ExtUtils-HasCompiler
Version:        0.023
Release:        1
Summary:        Check for the presence of a compiler
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-HasCompiler/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/ExtUtils-HasCompiler-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Mksymlists)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(base)
Requires:       perl(Carp)
Requires:       perl(DynaLoader)
Requires:       perl(Exporter)
Requires:       perl(ExtUtils::Mksymlists)
Requires:       perl(File::Basename)
Requires:       perl(File::Spec::Functions)
Requires:       perl(File::Temp)
Requires:       perl(strict)
Requires:       perl(warnings)
%description
This module tries to check if the current system is capable of compiling,
linking and loading an XS module.
%package help
Summary : Check for the presence of a compiler
Provides: perl-ExtUtils-HasCompiler-doc
%description help
This module tries to check if the current system is capable of compiling,
linking and loading an XS module.
%prep
%setup -q -n ExtUtils-HasCompiler-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Sun May 23 2021 Perl_Bot <Perl_Bot@openeuler.org> 0.023-1
- Specfile autogenerated by Perl_Bot
